--桃源仙境抽奖配置

--第一次打开的抽奖海域界面，默认为1
local FirstOpen = {
	--1为天墉城，2为云梦泽，3为昆仑山
	["first_open"] = 1,
}

--抽奖动画的参数，可以根据实际效果调整
local LotteryShowData = {
	--走马灯每个光圈显示的时间量
	["level_show_time"] = 8,
	--走马灯最后一个光圈多显示的时间量
	["last_level_show_time"] = 10,
	--走马灯整个过程显示几次光圈
	["level_show_num"] = 15,
	--获得奖励时仙缘移动到中间位置的移动速度---弃用
	["move_speed"] = 3,
	--获得奖励时仙缘移动到中间位置的放大速度
	["scale_speed"] = 0.005,
	--获得奖励时仙缘移动到中间位置的移动时间
	["move_time"] = 30,
	--获得奖励时仙缘移动到中间位置的移动偏移x
	["move_offset_x"] = -5,
	--获得奖励时仙缘移动到中间位置的移动偏移y
	["move_offset_y"] = -6,
}

--每个海域的往前翻页按钮特效的配置
--特效只有一个向右的，因此向左的需要在向右的特效基础上做翻转放大和移动
local PrevPageButtonEffect = {
	--按钮旋转角度
	["rotate"] = { x = 0, y = 180, z = 0 },
	["scale"] = { x = 1, y = 1.5, },
	["move"] = { x = 9, y = 1, },
}

local LotteryTenInfo = {
	[0] = "Taoyuan_ItemKLV1" , 
	[1] = "Taoyuan_ItemKLV2" , 
	[2] = "Taoyuan_ItemKLV3" , 
	[3] = "Taoyuan_ItemKLV4" , 
	[4] = "Taoyuan_ItemKLV5" , 
	[5] = "Taoyuan_ItemKLV6" , 
	[6] = "Taoyuan_ItemKLV7" , 
	[7] = "Taoyuan_ItemKLV8" , 
	["playSound"] = "Sound/taoyuan_10_lottery.wav",   --十连音效
	["playSound1"] = "Sound/taoyuan_lottery.wav",  --单抽音效
	["delayTm"] = "3000",  --十连抽特效延迟时间后打开界面
	["max_buy"] = 10000, --一次性最多购买多少个
	["max_Per"] = 10000, --一个格子最多叠加数量
	["guangtuan"] = "fwyidong_up",--物品飞的光效
	["speed"] = 800,--物品飞的光效速度
	["chooseimg"] = "Taoyuan_BG14",--十连界面选择分解物品后显示的图片
	["fenjieEffect"] = "fwyidong_up",--自动分解光效
}

--界面特效的移动量
local EffectOffset = {
	["ty_jt"] = { x = 11, y = 25 },
	["ty_beijing"] = { x = 10438, y = 305 },
	["ty_anniu"] = { x = 73, y = 73 },
	["ty_10lanniu"] = { x = 75, y = 75 },
	["ty_1j"] = { x = 45, y = 0, z = 60 },
	["ty_2j"] = { x = 45, y = 0, z = 60 },
	["ty_3j"] = { x = 45, y = 0, z = 60 },
	["ty_4j"] = { x = 45, y = 0, z = 60 },
	["ty_5j"] = { x = 30, y = 0, z = 30 },
	["ty_6j"] = { x = 30, y = 0, z = 30 },
	["ty_7j"] = { x = 30, y = 0, z = 30 },
	["ty_8j"] = { x = 30, y = 0, z = 30 },
	["ty_daquan"] = { x = 45, y = 0, z = 40 },
	["ty_xiaoquan"] = { x = 30, y = 0, z = 25 },
	["ty_jiemian"] = { x = 460, y = 286},
	["ty_jmcx"] = { x = 460, y = 300},
	["ty_xyLv1"] = { x = 480, y = 300},
	["ty_xyLv2"] = { x = 480, y = 300},
	["ty_xyLv3"] = { x = 480, y = 300},
	["ty_xyLv4"] = { x = 480, y = 300},
	["ty_xyLv5"] = { x = 480, y = 300},
	["ty_xyLv6"] = { x = 480, y = 300},
	["ty_xyLv7"] = { x = 480, y = 300},
	["ty_xyLv8"] = { x = 480, y = 300},
}

--界面特效的缩放比
local EffectScale = {
	["ty_jt"] = { x = 1, y = 1 },
	["ty_beijing"] = { x = 0.84, y = 0.64 },
	["ty_anniu"] = { x = 1, y = 1 , z = 1 },
	["ty_10lanniu"] = { x = 1, y = 1 , z = 1 },
	["ty_1j"] = { x = 0.7, y = 0.6, z = 0.6},
	["ty_2j"] = { x = 0.6, y = 0.5, z = 0.6 },
	["ty_3j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_4j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_5j"] = { x = 0.3, y = 0.3, z = 0.4 },
	["ty_6j"] = { x = 0.3, y = 0.3, z = 0.4 },
	["ty_7j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_8j"] = { x = 0.5, y = 0.4, z = 0.6 },
	["ty_daquan"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_xiaoquan"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_jiemian"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_jmcx"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv1"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv2"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv3"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv4"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv5"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv6"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv7"] = { x = 1, y = 1, z = 1 },
	["ty_xyLv8"] = { x = 1, y = 1, z = 1 },
}


--十连抽界面特效的移动量
local EffectOffsetTen = {
	["ty_jiemian"] = { x = 10468, y = 336},
	["ty_jmcx2"] = { x = 530, y = 366},
	["ty_10ljm"] = { x = 550, y = 290},
	["ty_10l"] = { x = 540, y = 380},
	["ty_pzlv1"] = { x = 24, y = 30},
	["ty_pzlv2"] = { x = 24, y = 30},
	["ty_pzlv3"] = { x = 24, y = 30},
	["ty_pzlv4"] = { x = 24, y = 30},
}

--十连抽界面特效的缩放比
local EffectScaleTen = {
	["ty_jiemian"] = { x = 0.8, y = 0.8, z = 1 },
	["ty_jmcx2"] = { x = 1, y = 1, z = 1 },
	["ty_10ljm"] = { x = 1, y = 1, z = 1 },
	["ty_10l"] = { x = 1, y = 1, z = 1 },
	["ty_pzlv1"] = { x = 1, y = 1, z = 1.1 },
	["ty_pzlv2"] = { x = 1, y = 1, z = 1.1 },
	["ty_pzlv3"] = { x = 1, y = 1, z = 1.1 },
	["ty_pzlv4"] = { x = 1, y = 1, z = 1.1 },
}

--消耗道具的图标ID
local ItemIconID = {
	--桃源灵玉
	[0] = 711504,
	--浮生碧玉
	[1] = 712018,
	--月华宝玉
	[2] = 712019,
}

--消耗道具的图标ID
local IslandDateColor = {
	--未开始
	["Yet"] = 0xff00ff00,
	--时间内
	["Normal"] = 0xff00ff00,
	--已结束
	["Over"] = 0xff00ff00,
}
-- 仙岛
-- 天墉城 0-蓬莱仙岛 1-玉衡岩 2-天星崖 3-玄清门 4-三才殿
-- 云梦泽 0-诛仙台    1-求道屿 2-无尘阁 3-莲花池 4-玉京塔
-- 昆仑山 0-一线天    1-大华观 2-寻仙阁 3-丹堂    4-月轮关

--每个海域每个仙岛的名字，消耗道具ID、最大抽奖次数，消耗道具数量，是否可以十连抽，抽奖界面提示，购买需要背包空间
-- ["IsIndex"]	仙岛对应的抽奖编号
-- ["name"]	仙岛名称（固定）
-- ["out_item"]	产出物
-- ["item_type"]	消耗物品ID
-- ["max_time"]	最大单抽数
-- ["cost_num"]	消耗物品数量
-- ["lottry_ten"]	是否可以十连抽  1： 可以  0 ：不行
-- ["lottry_desc"]	抽奖界面描述
-- ["pack_num"]	每次购买占用背包格子数
-- ["price"]	每份购买价格
-- ["tenprice"]	十连抽消耗
-- ["giveup_item"]	放弃时可以得到物品
-- ["buy_icon"]	购买时的物品图标
-- ["buy_name"]	购买时的物品名字
-- ["buy_count"]	每次购买时的物品份数
-- ["TipOut"]	提示产出物
-- ["Relottery_num"]	重抽需要个数
-- ["XianYuanCost"]    展示的仙缘抽奖仙缘类型 0为初级 1为高级 -1为不显示仙缘类型
-- ["XianYuanBtnEff"]    仙缘抽奖按钮的Effect
-- ["NoDisintegrate"]		单抽不可分解 目前十连不做限制 0为可分解 1为不可分解
local IslandLotteryDate = {
	["XianYuanBtnEff"] = "blank",
	[0] = {
		[0] = {
			["NoDisintegrate"] = 0,
			["XianYuanCost"] = 0,
			["IsIndex"] = 1,
			["name"] = "STR_TYXJ_LOTTERY_PLXD_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC1",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT1",
			["Relottery_num"] = 1
		},
		[1] = {
			["NoDisintegrate"] = 0,
			["XianYuanCost"] = 0,
			["IsIndex"] = 2,
			["name"] = "STR_TYXJ_LOTTERY_YHY_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC2",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT2",
			["Relottery_num"] = 1
		},
		[2] = {
			["NoDisintegrate"] = 0,
			["XianYuanCost"] = 0,
			["IsIndex"] = 3,
			["name"] = "STR_TYXJ_LOTTERY_TXY_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC3",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT3",
			["Relottery_num"] = 1
		},
		[3] = {
			["NoDisintegrate"] = 0,
			["XianYuanCost"] = 0,
			["IsIndex"] = 4,
			["name"] = "STR_TYXJ_LOTTERY_XQM_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC4",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT4",
			["Relottery_num"] = 1
		},
		[4] = {
			["NoDisintegrate"] = 0,
			["XianYuanCost"] = 0,
			["IsIndex"] = 5,
			["name"] = "STR_TYXJ_LOTTERY_SCD_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC5",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT5",
			["Relottery_num"] = 1
		},
	},
	[1] = {
		[0] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 8,
			["name"] = "STR_TYXJ_LOTTERY_ZXT_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 36,
			["PaymentType"] = 2,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3316697,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[1] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_QDY_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[2] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_WCG_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 19,
			["name"] = "STR_TYXJ_LOTTERY_LHC_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC19",
			["pack_num"] = 2,
			["price"] = 36,
			["PaymentType"] = 2,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3316697,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT19",
			["Relottery_num"] = 1
		},
		[4] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_YJT_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
	[2] = {
		[0] = {
			["NoDisintegrate"] = 0,
			["XianYuanCost"] = 1,
			["IsIndex"] = 11,
			["name"] = "STR_TYXJ_LOTTERY_YXT_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC10",
			["pack_num"] = 2,
			["price"] = 45,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 10,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT10",
			["Relottery_num"] = 1
		},
		[1] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_DHG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC9",
			["pack_num"] = 2,
			["price"] = 45,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 10,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT9",
			["Relottery_num"] = 1
		},
		[2] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_XXG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_DT_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[4] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_YLG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
}


local IslandLotteryDatePassion = {
	[0] = {
		[0] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 1,
			["name"] = "STR_TYXJ_LOTTERY_PLXD_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC1",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT1",
			["Relottery_num"] = 1
		},
		[1] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 2,
			["name"] = "STR_TYXJ_LOTTERY_YHY_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[2] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 3,
			["name"] = "STR_TYXJ_LOTTERY_TXY_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 4,
			["name"] = "STR_TYXJ_LOTTERY_XQM_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[4] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 5,
			["name"] = "STR_TYXJ_LOTTERY_SCD_N",
			["out_item"] = "711504",
			["item_type"] = 711504,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 711504,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
	[1] = {
		[0] = {
			["NoDisintegrate"] = 0,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_ZXT_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[1] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_QDY_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[2] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_WCG_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 19,
			["name"] = "STR_TYXJ_LOTTERY_LHC_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC19",
			["pack_num"] = 2,
			["price"] = 36,
			["PaymentType"] = 2,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3316697,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT19",
			["Relottery_num"] = 1
		},
		[4] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_YJT_N",
			["out_item"] = "712018",
			["item_type"] = 712018,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712018,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
	[2] = {
		[0] = {
			["NoDisintegrate"] = 0,
			["XianYuanCost"] = 1,
			["IsIndex"] = 10,
			["name"] = "STR_TYXJ_LOTTERY_YXT_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC10",
			["pack_num"] = 2,
			["price"] = 45,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 10,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT10",
			["Relottery_num"] = 1
		},
		[1] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 9,
			["name"] = "STR_TYXJ_LOTTERY_DHG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 1,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC9",
			["pack_num"] = 2,
			["price"] = 45,
			["PaymentType"] = 1,
			["tenprice"] = 30,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 10,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT9",
			["Relottery_num"] = 1
		},
		[2] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_XXG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[3] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_DT_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
		[4] = {
			["NoDisintegrate"] = 1,
			["XianYuanCost"] = -1,
			["IsIndex"] = 100,
			["name"] = "STR_TYXJ_LOTTERY_YLG_N",
			["out_item"] = "712019",
			["item_type"] = 712019,
			["max_time"] = 3,
			["cost_num"] = 3,
			["lottry_ten"] = 0,
			["lottry_desc"] = "STR_TYXJ_LOTTERY_PRO_DESC",
			["pack_num"] = 2,
			["price"] = 9,
			["PaymentType"] = 1,
			["tenprice"] = 0,
			["giveup_item"] = 712019,
			["buy_icon"] = 3331782,
			["buy_name"] = "STR_TYXJ_LOTTERY_BUY_NAME",
			["buy_count"] = 1,
			["TipOut"] = "STR_TYXJ_LOTTERY_PROCESS_TIPOUT",
			["Relottery_num"] = 1
		},
	},
}

--每个海域每个仙岛的开放状态和时间区间,时间格式yyyymmddhhmmss
--status：0 永久开放，不显示活动时间，1 活动中，显示时间，2 已结束，岛屿关闭
local IslandDate = {
	[0] = {
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[2] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
	[1] = {
		[0] = {
			["status"] = 2,
			["start"] = 20220412000000,
			["end"] = 20220425235959,
		},
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 1,
			["start"] = 20211221000000,
			["end"] = 20220120235959,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
	[2] = {
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 1,
			["start"] = 20200818000000,
			["end"] = 20200831235959,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
}

local IslandDatePassion = {
	[0] = {
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
	[1] = {
		[0] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 1,
			["start"] = 20210420000000,
			["end"] = 20210517235959,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
	[2] = {
		[0] = {
			["status"] = 0,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[1] = {
			["status"] = 1,
			["start"] = 20200818000000,
			["end"] = 20200831235959,
		},
		[2] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[3] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
		[4] = {
			["status"] = 2,
			["start"] = 20190905000000,
			["end"] = 20191001000000,
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖概率
local AwardRate = {
	[0] = {
		[0] = {
			[0] = "0.08%",
			[1] = "0.11%",
			[2] = "0.12%",
			[3] = "0.19%",
			[4] = "0.45%",
			[5] = "4.2%",
			[6] = "41.9%",
			[7] = "52.95%",
		},
		[1] = {
			[0] = "0.13%",
			[1] = "0.46%",
			[2] = "0.81%",
			[3] = "1.06%",
			[4] = "3.35%",
			[5] = "6.55%",
			[6] = "42.33%",
			[7] = "45.31%",
		},
		[2] = {
			[0] = "0.08%",
			[1] = "0.09%",
			[2] = "0.2%",
			[3] = "0.66%",
			[4] = "4.35%",
			[5] = "0.85%",
			[6] = "40.71%",
			[7] = "53.06%",
		},
		[3] = {
			[0] = "0.1%",
			[1] = "0.75%",
			[2] = "1.12%",
			[3] = "2.58%",
			[4] = "7.74%",
			[5] = "0.53%",
			[6] = "42.06%",
			[7] = "45.12%",
		},
		[4] = {
			[0] = "0.1%",
			[1] = "0.76%",
			[2] = "0.93%",
			[3] = "1.56%",
			[4] = "2.38%",
			[5] = "5.89%",
			[6] = "41.45%",
			[7] = "46.94%",
		},
	},
	[1] = {
		[0] = {
			[0] = "0.15%",
			[1] = "0.35%",
			[2] = "0.48%",
			[3] = "0.78%",
			[4] = "1.57%",
			[5] = "3.28%",
			[6] = "37.69%",
			[7] = "55.7%",
		},
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
	[2] = {
		[0] = {
			[0] = "0.31%",
			[1] = "0.8%",
			[2] = "1.55%",
			[3] = "3.13%",
			[4] = "7.8%",
			[5] = "11.26%",
			[6] = "28.15%",
			[7] = "47%",
		},
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖概率
local AwardRatePassion = {
	[0] = {
		[0] = {
			[0] = "0.1%",
			[1] = "0.1%",
			[2] = "0.1%",
			[3] = "0.2%",
			[4] = "0.5%",
			[5] = "3.5%",
			[6] = "48.4%",
			[7] = "47.1%",
		},
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
	[1] = {
		[0] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[1] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "0.02%",
			[1] = "0.1%",
			[2] = "0.1%",
			[3] = "0.88%",
			[4] = "0.8%",
			[5] = "2.3%",
			[6] = "48.7%",
			[7] = "47.1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
	[2] = {
		[0] = {
			[0] = "0.4%",
			[1] = "0.6%",
			[2] = "0.6%",
			[3] = "0.9%",
			[4] = "1.8%",
			[5] = "4.2%",
			[6] = "36.3%",
			[7] = "55.2%",
		},
		[1] = {
			[0] = "0.1%",
			[1] = "0.5%",
			[2] = "1.8%",
			[3] = "13.6%",
			[4] = "14.1%",
			[5] = "19.3%",
			[6] = "24.5%",
			[7] = "26.1%",
		},
		[2] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[3] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
		[4] = {
			[0] = "40%",
			[1] = "25%",
			[2] = "15%",
			[3] = "8%",
			[4] = "6%",
			[5] = "3%",
			[6] = "2%",
			[7] = "1%",
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖物品
local AwaredItem = {
	[0] = {
		[0] = {
			[0] = { 3303213,3303184,3303170 },
			[1] = { 3303204,3303183,3323507,3200743,3323507,3323507,3323507 },
			[2] = { 3303165,3303181,753999,752999,751999,3001034,3200728,3303182 },
			[3] = { 3200741,3303178,3303161,3303157 },
			[4] = { 3001036,3303160,3303176,3303180,3303156,3200739,3303179,3200740,3303167,3001035 },
			[5] = { 3303174,3303154,3000121,3000123,3303159,3303175,3001412,3000122,3001413,3303168,3303177,3303155,3200744,753099,752099,751099,3322219 },
			[6] = { 3303158,3303163,723712,3000120,3001411 },
			[7] = { 3303166,3303162,3303173,723859,723856,723855,1060039,3303164,3303172,3303203,3307146,723725,723727 },
		},
		[1] = {
			[0] = { 3303204,3303213,3303184,3303170 },
			[1] = { 3303178,753999,752999,751999,3303182,3323507 },
			[2] = { 753099,752099,751099,3322219,3303180,3303167 },
			[3] = { 3000121,3000123,3000122,3303168,3303177 },
			[4] = { 3303163,3000120,3003136,3003148,3322219 },
			[5] = { 3001411,3001412,3001413,3001036,3001035,3001034 },
			[6] = { 3303164,3303172,3003147,3003135,3307146,723725,723727 },
			[7] = { 3303166,3003132,3303162,3003133,3003140,3003146,3003134,1060039,3003153 },
		},
		[2] = {
			[0] = { 3303184,3303170 },
			[1] = { 3303213,3323507 },
			[2] = { 753999,752999,751999,3303182,3303204 },
			[3] = { 3303167,3303178 },
			[4] = { 3000122,3303168,3303177,753099,752099,751099,3303180 },
			[5] = { 3303159,3322219,3303160,3303161,3303165 },
			[6] = { 723727,3303158,3303163,3000120,3003136,3003148,3000121,3000123 },
			[7] = { 3303166,3003132,3303162,3003133,3003140,723859,723856,723855,3003146,3003134,1060039,3003153,3303164,3303172,3003147,3003135,3307146,723725 },
		},
		[3] = {
			[0] = { 3303204,3303213,3303184,3303170 },
			[1] = { 3303178,753999,752999,751999,3323507,3303182,3323507 },
			[2] = { 753099,752099,751099,3322219,3303180,3303167 },
			[3] = { 3000121,3000123,3000122,3303168,3303177 },
			[4] = { 723725,723727,3303163,3000120,3003136,3003148,3322219 },
			[5] = { 3200731,3200732,3200733,3200726,3200737,3200738,3200739,3200740,3200741,3200728,3200743 },
			[6] = { 3303164,3303172,3003147,3003135,3307146 },
			[7] = { 3303166,3003132,3303162,3003133,3003140,3003146,3003134,1060039,3003153 },
		},
		[4] = {
			[0] = { 3303204,3303213,3303184,3303170 },
			[1] = { 3303178,753999,752999,751999,3323507,3303182,3323507 },
			[2] = { 3322219,3303180,3303167 },
			[3] = { 3000121,3000123,3000122,3303168,3303177 },
			[4] = { 3303163,3000120,3003136,3003148,753099,752099,751099,3322219 },
			[5] = { 3303173,723712,3303174,3303154,3303175,3303155,3200744,3303176,3303156,3303179,3303157,3303181,3303183 },
			[6] = { 3303164,3303172,3003147,3003135,3307146,723725,723727 },
			[7] = { 3303166,3003132,3303162,3003133,3003140,3003146,3003134,1060039,3003153 },
		},
	},
	[1] = {
		[0] = {
			[0] = { 3314220,3331687,3331690,3331688,3331689,3336891,3336899 },
			["Monopoly0"] = { 1,1,1,1,0,0,0, },
			[1] = { 3331685,730006,3009104,3331682,3331686,3314219,3314208,3331684 },
			["Monopoly1"] = { 0,1,0,0,1,1,1,1, },
			[2] = { 3314906,3331675,3314213,3314218,3331679 },
			["Monopoly2"] = { 1,0,1,1,0, },
			[3] = { 3331681,3009103,3312788,3009002,730005 },
			["Monopoly3"] = { 0,0,0,0,1, },
			[4] = { 3331677,730004,3331674,3331680,3311028,3312793,3309995,3331683 },
			["Monopoly4"] = { 0,1,0,0,0,0,0,0, },
			[5] = { 3331673,3331672,3316543,3331676,3327543,3316546 },
			[6] = { 3331671,3331673,730003,3316545,3314212,3316696 },
			["Monopoly6"] = { 0,0,1,0,1,0, },
			[7] = { 3316544,730002,3314252,3314253,3314254,3316542 },
			["Monopoly7"] = { 0,1,1,1,1,0, },
		},
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 3324513,3324331,3324332,3331754,3328494 },
			[1] = { 3324346,3324333 },
			[2] = { 3324315,3324328,3324329,3324330,3328081,3328082 },
			[3] = { 3324314,3324325,3324326,3324327,3321589,3328077,3328078,3328079,3328080 },
			[4] = { 3324313,3324321,3324322,3324323,3324324 },
			[5] = { 3324312,3324318,3324319,3324320,3328075,3328076 },
			[6] = { 3324311,3324316,3324317 },
			[7] = { 3324345 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
	[2] = {
		[0] = {
			[0] = { 3303170,3318565,3318566,3318567,3318568,3326002 },
			[1] = { 3314245,3325992,3318562,3331666,3318569 },
			[2] = { 3331658,3318570,3331665,3318571,3314246,3325989 },
			[3] = { 3331657,3331662,3331663,3325989,3330881,3330882,3303181 },
			[4] = { 3331656,3200727,3303179,3331659,3331660,3331661,3318573,3325980,3390019 },
			[5] = { 3331655,3331669,3331664,700123,700103,700073,3325980,3390018,3314248,3303179,3303161 },
			[6] = { 3331654,3325756,3322774,3303176 },
			[7] = { 3331653,3331670,3330865,3331667,3303175,3325756 },
		},
		[1] = {
			[0] = { 3332167 },
			[1] = { 3332168 },
			[2] = { 3316531,3316660 },
			[3] = { 3310216,754099 },
			[4] = { 751999 },
			[5] = { 752999 },
			[6] = { 753099,753999,751099,754009,3310215 },
			[7] = { 753003,752009,751003,753009,751009,754001,3304137,3316530,752099,754003 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
}

--每个海域每个仙岛每个等级的仙缘的获奖物品
local AwaredItemPassion = {
	[0] = {
		[0] = {
			[0] = { 3303213,723723,3303170,3303184 },
			[1] = { 3303204,3303183,723722,3200743,3323507 },
			[2] = { 3303165,3303181,753999,752999,751999,723721,3200728 },
			[3] = { 3200741,3303161,3303157,723720,3303178 },
			[4] = { 3303160,3303176,3303180,723718,3306919,3303156,723719,3200739,3303179,3200740,3303167 },
			[5] = { 3303174,3303154,3000121,3000123,3303159,3303175,3000122,723717,3303168,3303177,3303155,3200744,753099,752099,751099,3322219 },
			[6] = { 723715,3303158,723712,3000120,3303163 },
			[7] = { 3303166,3303173,723713,723859,723856,723855,1060039,723714,723716,3303172,3303162,3303203,3307146,723725,723727,3303164 },
		},
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
	[1] = {
		[0] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[1] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 3324513,3324331,3324332 },
			[1] = { 3324346,3324333 },
			[2] = { 3324315,3324328,3324329,3324330 },
			[3] = { 3324314,3324325,3324326,3324327 },
			[4] = { 3324313,3324321,3324322,3324323,3324324 },
			[5] = { 3324312,3324318,3324319,3324320 },
			[6] = { 3324311,3324316,3324317 },
			[7] = { 3324345 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
	[2] = {
		[0] = {
			[0] = { 3316752,3316753,3316754,3316755,3316756,3316757 },
			[1] = { 3316747,3316748,3316749,3316750,3316751 },
			[2] = { 3316741,3316742,3316743,3316744,3316745,3316746 },
			[3] = { 3316732,3316733,3316734,3316735,3316736,3316737,3316738,3316739,3316740 },
			[4] = { 3316721,3316722,3316723,3316724,3316725,3316726,3316727,3316728,3316729,3316730,3316731 },
			[5] = { 3316710,3316711,3316712,3316713,3316714,3316715,3316716,3316717,3316718,3316719,3316720 },
			[6] = { 3316704,3316705,3316706,3316707,3316708,3316709 },
			[7] = { 3316698,3316699,3316700,3316701,3316702,3316703 },
		},
		[1] = {
			[0] = { 3332167 },
			[1] = { 3332168 },
			[2] = { 3316531,3316660 },
			[3] = { 3310216,754099 },
			[4] = { 751999 },
			[5] = { 752999 },
			[6] = { 753099,753999,751099,754009,3310215 },
			[7] = { 753003,752009,751003,753009,751009,754001,3304137,3316530,752099,754003 },
		},
		[2] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[3] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
		[4] = {
			[0] = { 721108, 723776 },
			[1] = { 721108, 723776 },
			[2] = { 721108, 723776 },
			[3] = { 721108, 723776 },
			[4] = { 721108, 723776 },
			[5] = { 721108, 723776 },
			[6] = { 721108, 723776 },
			[7] = { 721108, 723776 },
		},
	},
}

-- 参数
-- Name	参数名字
-- 返回值
-- 第一次打开的抽奖海域界面
local function GetFirstOpen(Name)
	return FirstOpen[Name]
end

-- 参数
-- Name	参数名字
-- 返回值
-- 参数对应的数值
local function GetLotteryShowData(Name)
	return LotteryShowData[Name]
end

-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的移动量
local function GetEffectOffset(Effect, Axis)
	return EffectOffset[Effect][Axis]
end

-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的移动量
local function GetEffectOffsetTen(Effect, Axis)
	return EffectOffsetTen[Effect][Axis]
end

-- 参数
-- Name		参数名字
-- Axis		索引值
-- 返回值
-- 特效的参数值
local function GetPrevPageButtonEffect(Name, Axis)
	return PrevPageButtonEffect[Name][Axis]
end

-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的缩放比
local function GetEffectScale(Effect, Axis)
	return EffectScale[Effect][Axis]
end


-- 参数
-- Effect	特效名字
-- Axis		索引值
-- 返回值
-- 特效的缩放比
local function GetEffectScaleTen(Effect, Axis)
	return EffectScaleTen[Effect][Axis]
end

-- 参数
-- ItemID	道具索引
-- 返回值
-- 道具的title
local function GetItemIconTitle(ItemID)
	return ItemIconID[ItemID]
end

-- 参数
-- strStatus	状态索引
-- 返回值
-- 文字的颜色
local function GetIslandDateColor(strStatus)
	return IslandDateColor[strStatus]
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- strIndex		索引值
-- 返回值
-- 每个海域每个仙岛的消耗道具ID、最大抽奖次数或者道具消耗数量
local function GetIslandLotteryDate(nAreaType, nIslandType, strIndex)
	local default = -1
	
	if nIslandType >= 5 then 
		nIslandType = nIslandType%5 
	end
	
	local t1 = IslandLotteryDate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = IslandLotteryDatePassion[nAreaType]
	end
	
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local str = t2[strIndex]
			if str then
				return str
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- 返回值
-- 每个海域每个仙岛的开放状态
local function GetIslandStatus(nAreaType, nIslandType)
	local default = -1
	local t1 = IslandDate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = IslandDatePassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local staus = t2["status"]
			if (staus) then
				return staus
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- strIndex		开始或结束索引值
-- 返回值
-- 每个海域每个仙岛的时间
local function GetIslandTime(nAreaType, nIslandType, strIndex)
	local default = -1
	local t1 = IslandDate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = IslandDatePassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local str = t2[strIndex]
			if str then
				return str
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- nAwardLevel	仙缘等级
-- 返回值
-- 每个海域每个仙岛每个等级的仙缘的获奖概率
local function GetAwardRate(nAreaType, nIslandType, nAwardLevel)
	local default = "1"
	local t1 = AwardRate[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = AwardRatePassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local rate = t2[nAwardLevel]
			if (rate) then
				return rate
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- nAwardLevel	仙缘等级
-- nItemIndex	物品索引
-- 返回值
-- 每级仙缘的获奖物品ID
local function GetAwardItem(nAreaType, nIslandType, nAwardLevel, nItemIndex)
	local default= -1
	local t1 = AwaredItem[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = AwaredItemPassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local itemTable = t2[nAwardLevel]
			if (itemTable ~= nil) then
				if (itemTable[nItemIndex] ~= nil) then
					return itemTable[nItemIndex]
				end
				return default
			end
			return default
		end
		return default
	end
	return default
end

-- 参数
-- nAreaType	海域索引
-- nIslandType	仙岛索引
-- nAwardLevel	仙缘等级
-- 返回值
-- 每级仙缘的获奖物品数量
local function GetAwardItemNum(nAreaType, nIslandType, nAwardLevel)
	local count = 0
	local t1 = AwaredItem[nAreaType]
	if(UserData_IsPassionServer() == true) then
		t1 = AwaredItemPassion[nAreaType]
	end
	if (t1 ~= nil) then
		local t2 = t1[nIslandType]
		if (t2 ~= nil) then
			local itemTable = t2[nAwardLevel]
			if (itemTable ~= nil) then
				for key, value in ipairs(itemTable) do
					count = count + 1
				end
				return count
			end
			return count
		end
		return count
	end
	return count
end

local XianYuanLotteryDrawInfo = {
	-- 仙缘抽奖显示数量
	["Count"] = 2,
	["CostItem"] = 3329239,
	["CostItem2"] = 3329240,  -- 桃园灵玉界面显示的仙缘Item
	-- 具体每个抽奖的界面样式配置
	-- Type对应cq_lottery_type里的type
	-- BgImg 抽奖底框
	-- ItemImg 抽奖图片
	-- NameImg 名称图片
	-- Cost 花费
	-- TenCost 十连花费
	-- BtnAni 按钮ani
	-- BtnSta 按钮上文字
	-- BtnTenAni 十连按钮ani
	-- BtnTenSta 十连按钮上文字
	[0] = {
		["Type"] = 20,
		["BgImg"] = "Taoyuan_BG5",
		["ItemImg"] = "blank",
		["NameImg"] = "Taoyuan_WZ3",
		["BtnAni"] = "Taoyuan_Btn2",
		["BtnSta"] = "STR_XIANYUAN_BTN_TEXT1",
		["BtnTenAni"] = "Taoyuan_Btn2",
		["BtnTenSta"] = "STR_XIANYUAN_BTN_TEN_TEXT1",
		["CostItem"] = 3329239,
		["Cost"] = 270,
		["TenCost"] = 2700,
		["Award"] = {
		["Count"] = 33,
			[0] = {
				["ItemType"] = 3009003,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[1] = {
				["ItemType"] = 3329392,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[2] = {
				["ItemType"] = 730007,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[3] = {
				["ItemType"] = 730006,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[4] = {
				["ItemType"] = 3314208,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[5] = {
				["ItemType"] = 3314219,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[6] = {
				["ItemType"] = 730005,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[7] = {
				["ItemType"] = 3314218,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[8] = {
				["ItemType"] = 3329302,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[9] = {
				["ItemType"] = 3329391,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[10] = {
				["ItemType"] = 3009002,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[11] = {
				["ItemType"] = 3009104,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[12] = {
				["ItemType"] = 3329390,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[13] = {
				["ItemType"] = 3329389,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[14] = {
				["ItemType"] = 3009103,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[15] = {
				["ItemType"] = 3314207,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[16] = {
				["ItemType"] = 730004,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[17] = {
				["ItemType"] = 3314217,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[18] = {
				["ItemType"] = 3009102,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[19] = {
				["ItemType"] = 730003,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[20] = {
				["ItemType"] = 3314216,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[21] = {
				["ItemType"] = 3303373,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[22] = {
				["ItemType"] = 3009101,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[23] = {
				["ItemType"] = 3321077,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[24] = {
				["ItemType"] = 3003126,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[25] = {
				["ItemType"] = 730002,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[26] = {
				["ItemType"] = 3314215,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[27] = {
				["ItemType"] = 3009001,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[28] = {
				["ItemType"] = 3002926,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[29] = {
				["ItemType"] = 3321076,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[30] = {
				["ItemType"] = 3009000,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[31] = {
				["ItemType"] = 730001,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[32] = {
				["ItemType"] = 3314214,
				["Monopoly"] = 1,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
		},
	},
	[1] = {
		["Type"] = 21,
		["BgImg"] = "Taoyuan_BG6",
		["ItemImg"] = "blank",
		["NameImg"] = "Taoyuan_WZ4",
		["Cost"] = 270,
		["TenCost"] = 2700,
		["BtnAni"] = "Taoyuan_Btn1",
		["BtnSta"] = "STR_XIANYUAN_BTN_TEXT2",
		["BtnTenAni"] = "Taoyuan_Btn1",
		["BtnTenSta"] = "STR_XIANYUAN_BTN_TEN_TEXT1",
		["CostItem"] = 3329240,
		["Award"] = {
		["Count"] = 48,
			[0] = {
				["ItemType"] = 3314193,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[1] = {
				["ItemType"] = 3009001,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[2] = {
				["ItemType"] = 3002926,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[3] = {
				["ItemType"] = 3325756,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[4] = {
				["ItemType"] = 3009102,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[5] = {
				["ItemType"] = 730003,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[6] = {
				["ItemType"] = 3314216,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[7] = {
				["ItemType"] = 3303373,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[8] = {
				["ItemType"] = 3325755,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[9] = {
				["ItemType"] = 3009103,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[10] = {
				["ItemType"] = 3314207,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[11] = {
				["ItemType"] = 730004,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[12] = {
				["ItemType"] = 3314194,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[13] = {
				["ItemType"] = 3314217,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[14] = {
				["ItemType"] = 3009002,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[15] = {
				["ItemType"] = 3009104,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[16] = {
				["ItemType"] = 3329390,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[17] = {
				["ItemType"] = 3325980,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[18] = {
				["ItemType"] = 3314248,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[19] = {
				["ItemType"] = 730005,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[20] = {
				["ItemType"] = 3314218,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[21] = {
				["ItemType"] = 3329302,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[22] = {
				["ItemType"] = 3314195,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[23] = {
				["ItemType"] = 3329391,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[24] = {
				["ItemType"] = 3325993,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[25] = {
				["ItemType"] = 3314243,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[26] = {
				["ItemType"] = 730006,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[27] = {
				["ItemType"] = 3314208,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[28] = {
				["ItemType"] = 3314195,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[29] = {
				["ItemType"] = 3314219,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[30] = {
				["ItemType"] = 3329392,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[31] = {
				["ItemType"] = 3325208,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[32] = {
				["ItemType"] = 3009003,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[33] = {
				["ItemType"] = 730007,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[34] = {
				["ItemType"] = 3333970,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[35] = {
				["ItemType"] = 3325994,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[36] = {
				["ItemType"] = 3314220,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[37] = {
				["ItemType"] = 3325992,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[38] = {
				["ItemType"] = 730008,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[39] = {
				["ItemType"] = 3314221,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[40] = {
				["ItemType"] = 3325995,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[41] = {
				["ItemType"] = 3314245,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[42] = {
				["ItemType"] = 3326002,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[43] = {
				["ItemType"] = 4300000,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[44] = {
				["ItemType"] = 3326004,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[45] = {
				["ItemType"] = 3326003,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[46] = {
				["ItemType"] = 3329303,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
			[47] = {
				["ItemType"] = 3326005,
				["Monopoly"] = 0,
				["SavingTime"] = 0,
				["Amount"] = 1,
			},
		},
	},
}

-- 是仙缘抽奖的type，该表里的type是仙缘抽奖，此时弹出的奖励界面只有确认，没有重抽 放弃 分解
local XianYuanLotteryType = {
	[0] = 20,
	[1] = 21,
}

local function GetIsXianYuanLotteryType(type)
	for key, value in pairs(XianYuanLotteryType) do
		if (value == type) then
			return true
		end
	end
	return false
end

-- 根据抽奖type得到表XianYuanLotteryDrawInfo里的index
local function GetXianYuanLotteryIndexByType(Index)
for key, value in pairs(XianYuanLotteryDrawInfo) do
	local info = value
	if type(info) == "table" then
		local infotype = info["Type"]
		if (infotype ~= nil and infotype == Index) then
			return key
		end
	end
 end
	return nil
end
-- 参数
-- Index	索引
-- key		内容
local function GetXianYuanLotteryDrawInfo(index, key)
	if (index == "Count") then
		return XianYuanLotteryDrawInfo["Count"]
	end

	if (index == "CostItem") then
		return XianYuanLotteryDrawInfo["CostItem"]
	end

	if (index == "CostItem2") then
		return XianYuanLotteryDrawInfo["CostItem2"]
	end
	
	if (index >= XianYuanLotteryDrawInfo["Count"]) then
		if (key == "Cost") then
			return -1
		end
		
		return ""
	end

	local result = XianYuanLotteryDrawInfo[index]

	if (result ~= nil) then
		local value = result[key]
		
		if (value ~= nil) then
			return value
		end

		if (key == "Cost") then
			return -1
		end
		
		return ""
	end

	if (key == "Cost") then
		return -1
	end

	return ""
end

-- 参数
-- Index	索引
-- item		物品索引
-- key		内容
local function GetXianYuanAwardItemInfo(index, item, key)
	local value = XianYuanLotteryDrawInfo[index]

	if(value == nil) then
		return 0
	end

	local iteminfo = value["Award"]

	if (iteminfo == nil) then
		return 0
	end

	if(item == "Count") then
		return iteminfo["Count"]
	end

	local result = iteminfo[item][key]
	if (result == nil) then
		return 0
	end

	return result
end

-- 分解物品可得碎片值
-- 显示分解物品的碎片在这里配置，与服务端对应
local ItemDisintegrateValue = {
	-- 未配置在这个表里的奖励，分解碎片默认值
	["defaultItem"] = 3329240,--默认ID
	["default"] = 30,--默认可得的分解数量
	-- 【0】中 0对应的是cq_lottery中的type，ItemType对应分解可得的碎片ID
	[1] = {
		["ItemType"] = 3329239,--分解可得物品ID
			[3303166] = 2,
			[3303162] = 1,
			[3303173] = 2,
			[723713] = 6,
			[723859] = 2,
			[723856] = 2,
			[723855] = 2,
			[1060039] = 10,
			[3303164] = 10,
			[723714] = 16,
			[723716] = 18,
			[3303172] = 3,
			[3303203] = 10,
			[3307146] = 10,
			[723725] = 3,
			[723727] = 3,
			[723715] = 24,
			[3303158] = 7,
			[3303163] = 10,
			[723712] = 2,
			[3000120] = 6,
			[3001411] = 2,
			[3303174] = 7,
			[3303154] = 13,
			[3000121] = 9,
			[3000123] = 21,
			[3303159] = 20,
			[3303175] = 20,
			[3001412] = 4,
			[3000122] = 15,
			[723717] = 100,
			[3001413] = 5,
			[3303168] = 100,
			[3303177] = 30,
			[3303155] = 24,
			[3200744] = 24,
			[753099] = 17,
			[752099] = 17,
			[751099] = 17,
			[3322219] = 200,
			[3001036] = 10,
			[3303160] = 60,
			[3303176] = 60,
			[3303180] = 87,
			[723718] = 400,
			[3303156] = 120,
			[723719] = 500,
			[3200739] = 167,
			[3303179] = 180,
			[3200740] = 250,
			[3303167] = 500,
			[3001035] = 50,
			[3200741] = 333,
			[3303178] = 132,
			[3303161] = 180,
			[3303157] = 360,
			[723720] = 1600,
			[3303165] = 540,
			[3303181] = 540,
			[753999] = 165,
			[752999] = 165,
			[751999] = 165,
			[723721] = 2000,
			[3001034] = 100,
			[3200728] = 833,
			[3303182] = 333,
			[3303204] = 1800,
			[3303183] = 972,
			[723722] = 6000,
			[3323507] = 333,
			[3200743] = 2500,
			[3303213] = 4000,
			[723723] = 10000,
			[3303184] = 1317,
			[3303170] = 2916,
			[3323507] = 333,
			[3323507] = 333,
			[3323507] = 2000,
			[711504] = 3,
		},
	[2] = {
		["ItemType"] = 3329239,--分解可得物品ID
			[3303166] = 2,
			[3003132] = 1,
			[3303162] = 1,
			[3003133] = 1,
			[3003140] = 2,
			[723713] = 0,
			[3003146] = 3,
			[3003134] = 3,
			[1060039] = 10,
			[3003153] = 6,
			[3303164] = 10,
			[723714] = 0,
			[3303172] = 3,
			[723716] = 0,
			[3003147] = 7,
			[3003135] = 7,
			[3307146] = 10,
			[723725] = 3,
			[723727] = 3,
			[3001411] = 2,
			[3001412] = 4,
			[3001413] = 5,
			[3001036] = 10,
			[3001035] = 50,
			[3001034] = 100,
			[723715] = 0,
			[3303163] = 10,
			[3000120] = 6,
			[3003136] = 13,
			[3003148] = 17,
			[3322219] = 200,
			[3000121] = 9,
			[3000123] = 21,
			[3000122] = 15,
			[3303168] = 100,
			[3303177] = 30,
			[723717] = 0,
			[753099] = 17,
			[752099] = 17,
			[751099] = 17,
			[3322219] = 200,
			[3303180] = 87,
			[723718] = 0,
			[723719] = 0,
			[3303167] = 500,
			[3303178] = 132,
			[723720] = 0,
			[753999] = 165,
			[752999] = 165,
			[751999] = 165,
			[723721] = 0,
			[3303182] = 333,
			[3303204] = 1800,
			[723722] = 0,
			[3303213] = 4000,
			[723723] = 0,
			[3303184] = 1317,
			[3303170] = 2916,
			[3323507] = 2000,
			[711504] = 3,
		},
		
	[3] = {
		["ItemType"] = 3329239,--分解可得物品ID
			[3303166] = 2,
			[3003132] = 1,
			[3303162] = 1,
			[3003133] = 1,
			[3003140] = 2,
			[723859] = 2,
			[723856] = 2,
			[723855] = 2,
			[723713] = 0,
			[3003146] = 3,
			[3003134] = 3,
			[1060039] = 10,
			[3003153] = 6,
			[3303164] = 10,
			[723714] = 0,
			[3303172] = 3,
			[723716] = 0,
			[3003147] = 7,
			[3003135] = 7,
			[3307146] = 10,
			[723725] = 3,
			[723727] = 3,
			[3303158] = 7,
			[723715] = 0,
			[3303163] = 10,
			[3000120] = 6,
			[3003136] = 13,
			[3003148] = 17,
			[3000121] = 9,
			[3000123] = 21,
			[3303159] = 20,
			[3322219] = 200,
			[3303160] = 60,
			[3303161] = 180,
			[3303165] = 540,
			[3000122] = 15,
			[3303168] = 100,
			[723717] = 0,
			[3303177] = 30,
			[753099] = 17,
			[752099] = 17,
			[751099] = 17,
			[3303180] = 87,
			[723718] = 0,
			[723719] = 0,
			[3303167] = 500,
			[3303178] = 132,
			[723720] = 0,
			[753999] = 165,
			[752999] = 165,
			[751999] = 165,
			[723721] = 0,
			[3303182] = 333,
			[3303204] = 1800,
			[723722] = 0,
			[3303213] = 4000,
			[723723] = 0,
			[3303184] = 1317,
			[3303170] = 2916,
			[3323507] = 2000,
			[711504] = 3,
		},
	[4] = {
		["ItemType"] = 3329239,--分解可得物品ID
			[3303166] = 2,
			[3003132] = 1,
			[3303162] = 1,
			[3003133] = 1,
			[3003140] = 2,
			[723713] = 0,
			[3003146] = 3,
			[3003134] = 3,
			[1060039] = 10,
			[3003153] = 6,
			[3303164] = 10,
			[723714] = 0,
			[3303172] = 3,
			[723716] = 0,
			[3003147] = 7,
			[3003135] = 7,
			[3307146] = 10,
			[3200731] = 3,
			[3200732] = 4,
			[3200733] = 5,
			[3200726] = 8,
			[3200737] = 42,
			[3200738] = 58,
			[3200739] = 167,
			[3200740] = 250,
			[3200741] = 333,
			[3200728] = 833,
			[3200743] = 2500,
			[723725] = 3,
			[723727] = 3,
			[723715] = 0,
			[3303163] = 10,
			[3000120] = 6,
			[3003136] = 13,
			[3003148] = 17,
			[3322219] = 200,
			[3000121] = 9,
			[3000123] = 21,
			[3000122] = 15,
			[3303168] = 100,
			[3303177] = 30,
			[723717] = 0,
			[753099] = 17,
			[752099] = 17,
			[751099] = 17,
			[3322219] = 200,
			[3303180] = 87,
			[723718] = 0,
			[723719] = 0,
			[3303167] = 500,
			[3303178] = 132,
			[723720] = 0,
			[753999] = 165,
			[752999] = 165,
			[751999] = 165,
			[723721] = 0,
			[3323507] = 333,
			[3303182] = 333,
			[3303204] = 1800,
			[723722] = 0,
			[3303213] = 4000,
			[723723] = 0,
			[3303184] = 1317,
			[3303170] = 2916,
			[3323507] = 2000,
			[711504] = 3,
		},
	[5] = {
		["ItemType"] = 3329239,--分解可得物品ID
			[3303166] = 2,
			[3003132] = 1,
			[3303162] = 1,
			[3003133] = 1,
			[3003140] = 2,
			[723713] = 0,
			[3003146] = 3,
			[3003134] = 3,
			[1060039] = 10,
			[3003153] = 6,
			[3303164] = 10,
			[723714] = 0,
			[3303172] = 3,
			[723716] = 0,
			[3003147] = 7,
			[3003135] = 7,
			[3307146] = 10,
			[723725] = 3,
			[723727] = 3,
			[3303173] = 2,
			[723712] = 2,
			[3303174] = 7,
			[3303154] = 13,
			[3303175] = 20,
			[3303155] = 24,
			[3200744] = 24,
			[3303176] = 60,
			[3303156] = 120,
			[3303179] = 180,
			[3303157] = 360,
			[3303181] = 540,
			[3303183] = 972,
			[723715] = 0,
			[3303163] = 10,
			[3000120] = 6,
			[3003136] = 13,
			[3003148] = 17,
			[753099] = 17,
			[752099] = 17,
			[751099] = 17,
			[3322219] = 200,
			[3000121] = 9,
			[3000123] = 21,
			[3000122] = 15,
			[3303168] = 100,
			[3303177] = 30,
			[723717] = 0,
			[3322219] = 200,
			[3303180] = 87,
			[723718] = 0,
			[723719] = 0,
			[3303167] = 500,
			[3303178] = 132,
			[723720] = 0,
			[753999] = 165,
			[752999] = 165,
			[751999] = 165,
			[723721] = 0,
			[3323507] = 333,
			[3303182] = 333,
			[3303204] = 1800,
			[723722] = 0,
			[3303213] = 4000,
			[723723] = 0,
			[3303184] = 1317,
			[3303170] = 2916,
			[3323507] = 2000,
			[711504] = 3,
		},
	[11] = {
		["ItemType"] = 3329240,--分解可得物品ID
			[3331653] = 9,
			[3331670] = 12,
			[3330865] = 12,
			[3331667] = 7,
			[3303175] = 8,
			[723717] = 12,
			[3325756] = 9,
			[3390011] = 8,
			[3314255] = 50,
			[3331654] = 23,
			[3325756] = 18,
			[3390017] = 33,
			[3322774] = 23,
			[3331788] = 23,
			[3303176] = 25,
			[3331655] = 70,
			[3331669] = 35,
			[3331664] = 37,
			[700123] = 53,
			[700103] = 53,
			[700073] = 53,
			[3325980] = 90,
			[3390018] = 83,
			[3331789] = 70,
			[3314248] = 70,
			[3303179] = 75,
			[3303161] = 110,
			[3331656] = 117,
			[3200727] = 70,
			[3303179] = 75,
			[3331659] = 82,
			[3331660] = 82,
			[3331661] = 82,
			[3318573] = 105,
			[3325980] = 180,
			[3390019] = 167,
			[3314242] = 100,
			[3314243] = 100,
			[3314244] = 100,
			[3331657] = 233,
			[3331662] = 210,
			[3331663] = 210,
			[3314250] = 1000,
			[3325989] = 540,
			[3314251] = 333,
			[3330881] = 233,
			[3330882] = 233,
			[3303181] = 227,
			[3331658] = 467,
			[3318570] = 330,
			[3331665] = 350,
			[3318571] = 400,
			[3314246] = 2700,
			[3325989] = 1080,
			[3331790] = 350,
			[3314245] = 4500,
			[3325992] = 2160,
			[3318562] = 887,
			[3331666] = 700,
			[3318569] = 1000,
			[3303170] = 2041,
			[3318565] = 2041,
			[3318566] = 3000,
			[3318567] = 3750,
			[3318568] = 4667,
			[3326002] = 5400,
			[712019] = 30,
		},

}

local function GetItemDisintegrateValue(type, key)
	local info = ItemDisintegrateValue[type]

	if info ~= nil then
		local keyValue = info[key]

		if keyValue ~= nil then
			return keyValue
		end
	end
	
	if key == "ItemType" then
		return ItemDisintegrateValue["ItemType"]
	end

	return ItemDisintegrateValue["default"]
end

local XianYuanShopItem = {
	--NpcId 根据shopId 从cq_exchange_shop_info.id里找对应npcid
	["NpcId"] = 29261,
	["ShopId"] = 259,
	["Count"] = 62,
	["CostItem1"] = 3329239,
	["CostItem2"] = 3329240,
	--ItemRealID对应cq_exchange_shop_goods里对应物品的第一列的id
	[0 ] = {["ItemType"] = 3009000,	["ItemRealID"] = 5383,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =20,["CostItem"] = 3329239,},
	[1 ] = {["ItemType"] = 3009001,	["ItemRealID"] = 5384,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =200,["CostItem"] = 3329239,},
	[2 ] = {["ItemType"] = 3009002,	["ItemRealID"] = 5385,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =2000,["CostItem"] = 3329239,},
	[3 ] = {["ItemType"] = 3009101,	["ItemRealID"] = 5386,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =100,["CostItem"] = 3329239,},
	[4 ] = {["ItemType"] = 3009102,	["ItemRealID"] = 5387,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =300,["CostItem"] = 3329239,},
	[5 ] = {["ItemType"] = 3009103,	["ItemRealID"] = 5388,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =900,["CostItem"] = 3329239,},
	[6 ] = {["ItemType"] = 3314214,	["ItemRealID"] = 5389,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =40,["CostItem"] = 3329239,},
	[7 ] = {["ItemType"] = 3314215,	["ItemRealID"] = 5390,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =160,["CostItem"] = 3329239,},
	[8 ] = {["ItemType"] = 3314216,	["ItemRealID"] = 5391,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =480,["CostItem"] = 3329239,},
	[9 ] = {["ItemType"] = 3314217,	["ItemRealID"] = 5392,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =1440,["CostItem"] = 3329239,},
	[10] = {["ItemType"] = 3314218,	["ItemRealID"] = 5393,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =4400,["CostItem"] = 3329239,},
	[11] = {["ItemType"] = 3314219,	["ItemRealID"] = 5394,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =13200,["CostItem"] = 3329239,},
	[12] = {["ItemType"] = 730001,	["ItemRealID"] = 5395,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =30,["CostItem"] = 3329239,},
	[13] = {["ItemType"] = 730002,	["ItemRealID"] = 5396,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =120,["CostItem"] = 3329239,},
	[14] = {["ItemType"] = 730003,	["ItemRealID"] = 5397,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =360,["CostItem"] = 3329239,},
	[15] = {["ItemType"] = 730004,	["ItemRealID"] = 5398,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =1080,["CostItem"] = 3329239,},
	[16] = {["ItemType"] = 730005,	["ItemRealID"] = 5399,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =3300,["CostItem"] = 3329239,},
	[17] = {["ItemType"] = 730006,	["ItemRealID"] = 5400,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =10000,["CostItem"] = 3329239,},
	[18] = {["ItemType"] = 3321076,	["ItemRealID"] = 5401,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =10,["CostItem"] = 3329239,},
	[19] = {["ItemType"] = 3321077,	["ItemRealID"] = 5402,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =100,["CostItem"] = 3329239,},
	[20] = {["ItemType"] = 3314207,	["ItemRealID"] = 5403,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =1000,["CostItem"] = 3329239,},
	[21] = {["ItemType"] = 3003126,	["ItemRealID"] = 5404,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =100,["CostItem"] = 3329239,},
	[22] = {["ItemType"] = 3002926,	["ItemRealID"] = 5405,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =200,["CostItem"] = 3329239,},
	[23] = {["ItemType"] = 3303373,	["ItemRealID"] = 5406,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =500,["CostItem"] = 3329239,},
	[24] = {["ItemType"] = 3329389,	["ItemRealID"] = 5407,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =800,["CostItem"] = 3329239,},
	[25] = {["ItemType"] = 3329390,	["ItemRealID"] = 5408,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =3200,["CostItem"] = 3329239,},
	[26] = {["ItemType"] = 3329391,	["ItemRealID"] = 5409,		["Monopoly"] = 1,		["Count"] = 1,		["Cost"] =9600,["CostItem"] = 3329239,},
	[27] = {["ItemType"] = 3009001,	["ItemRealID"] = 5410,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =20,["CostItem"] = 3329240,},
	[28] = {["ItemType"] = 3009002,	["ItemRealID"] = 5411,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =200,["CostItem"] = 3329240,},
	[29] = {["ItemType"] = 3009003,	["ItemRealID"] = 5412,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =2000,["CostItem"] = 3329240,},
	[30] = {["ItemType"] = 3009101,	["ItemRealID"] = 5413,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =10,["CostItem"] = 3329240,},
	[31] = {["ItemType"] = 3009102,	["ItemRealID"] = 5414,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =30,["CostItem"] = 3329240,},
	[32] = {["ItemType"] = 3009103,	["ItemRealID"] = 5415,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =90,["CostItem"] = 3329240,},
	[33] = {["ItemType"] = 3009104,	["ItemRealID"] = 5416,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =270,["CostItem"] = 3329240,},
	[34] = {["ItemType"] = 3314214,	["ItemRealID"] = 5417,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =4	,["CostItem"] = 3329240,},
	[35] = {["ItemType"] = 3314215,	["ItemRealID"] = 5418,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =16,["CostItem"] = 3329240,},
	[36] = {["ItemType"] = 3314216,	["ItemRealID"] = 5419,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =48,["CostItem"] = 3329240,},
	[37] = {["ItemType"] = 3314217,	["ItemRealID"] = 5420,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =144,["CostItem"] = 3329240,},
	[38] = {["ItemType"] = 3314218,	["ItemRealID"] = 5421,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =440,["CostItem"] = 3329240,},
	[39] = {["ItemType"] = 3314219,	["ItemRealID"] = 5422,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =1320,["CostItem"] = 3329240,},
	[40] = {["ItemType"] = 3314220,	["ItemRealID"] = 5423,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =4000,["CostItem"] = 3329240,},
	[41] = {["ItemType"] = 3314221,	["ItemRealID"] = 5424,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =12000,["CostItem"] = 3329240,},
	[42] = {["ItemType"] = 730001,	["ItemRealID"] = 5425,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =3	,   ["CostItem"] = 3329240,},
	[43] = {["ItemType"] = 730002,	["ItemRealID"] = 5426,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =12,["CostItem"] = 3329240,},
	[44] = {["ItemType"] = 730003,	["ItemRealID"] = 5427,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =36,["CostItem"] = 3329240,},
	[45] = {["ItemType"] = 730004,	["ItemRealID"] = 5428,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =108,["CostItem"] = 3329240,},
	[46] = {["ItemType"] = 730005,	["ItemRealID"] = 5429,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =330,["CostItem"] = 3329240,},
	[47] = {["ItemType"] = 730006,	["ItemRealID"] = 5430,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =1000,["CostItem"] = 3329240,},
	[48] = {["ItemType"] = 730007,	["ItemRealID"] = 5431,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =3000,["CostItem"] = 3329240,},
	[49] = {["ItemType"] = 730008,	["ItemRealID"] = 5432,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =9000,["CostItem"] = 3329240,},
	[50] = {["ItemType"] = 3321077,	["ItemRealID"] = 5433,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =10,["CostItem"] = 3329240,},
	[51] = {["ItemType"] = 3314207,	["ItemRealID"] = 5514,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =100,["CostItem"] = 3329240,},
	[52] = {["ItemType"] = 3314208,	["ItemRealID"] = 5515,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =1000,["CostItem"] = 3329240,},
	[53] = {["ItemType"] = 3003126,	["ItemRealID"] = 5516,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =10,["CostItem"] = 3329240,},
	[54] = {["ItemType"] = 3002926,	["ItemRealID"] = 5517,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =20,["CostItem"] = 3329240,},
	[55] = {["ItemType"] = 3303373,	["ItemRealID"] = 5518,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =50,["CostItem"] = 3329240,},
	[56] = {["ItemType"] = 3329389,	["ItemRealID"] = 5519,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =80,["CostItem"] = 3329240,},
	[57] = {["ItemType"] = 3329390,	["ItemRealID"] = 5520,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =320,["CostItem"] = 3329240,},
	[58] = {["ItemType"] = 3329391,	["ItemRealID"] = 5521,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =960,["CostItem"] = 3329240,},
	[59] = {["ItemType"] = 3329392,	["ItemRealID"] = 5522,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =2880,["CostItem"] = 3329240,},
	[60] = {["ItemType"] = 4300000,	["ItemRealID"] = 5523,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =20000,["CostItem"] = 3329240,},
	[61] = {["ItemType"] = 3329302,	["ItemRealID"] = 5524,		["Monopoly"] = 0,		["Count"] = 1,		["Cost"] =200,["CostItem"] = 3329240,},
}

-- 获取仙缘商店的商品信息
local function GetXianYuanShopItem(index, key)
	if (index == "Count") then
		local value = XianYuanShopItem["Count"]

		if(value ~= nil) then
			return value
		end

		return 0
	end

	if (index == "CostItem1") then
		local value = XianYuanShopItem["CostItem1"]

		if(value ~= nil) then
			return value
		end

		return 0
	end

	if (index == "CostItem2") then
		local value = XianYuanShopItem["CostItem2"]

		if(value ~= nil) then
			return value
		end

		return 0
	end

	if (index == "ShopId") then
		local value = XianYuanShopItem["ShopId"]

		if(value ~= nil) then
			return value
		end

		return 0
	end

	if (index == "NpcId") then
		local value = XianYuanShopItem["NpcId"]

		if(value ~= nil) then
			return value
		end

		return 0
	end

	local result = XianYuanShopItem[index][key]

	if (result ~= nil) then
		return result
	end

	return 0
end
local function GetAwardTenInfo(key)
	local keyValue = LotteryTenInfo[key]

	if (keyValue) then
		return keyValue
	end
	
	return ""
end
local function GetXianYuanBtnEffect()
	return IslandLotteryDate["XianYuanBtnEff"]
end

-- 清理变量释放内存
local function Unload()
	TYXJ_Lottery_GetFirstOpen = nil
	TYXJ_Lottery_GetIslandLotteryDate = nil
	TYXJ_Lottery_GetLotteryShowData = nil
	TYXJ_Lottery_GetIslandDateColor = nil
	TYXJ_Lottery_GetEffectScale = nil
	TYXJ_Lottery_GetEffectOffset = nil
	TYXJ_Lottery_GetEffectScaleTen = nil
	TYXJ_Lottery_GetEffectOffsetTen = nil
	TYXJ_Lottery_GetPrevPageButtonEffect = nil
	TYXJ_Lottery_GetItemIconTitle = nil
	TYXJ_Lottery_GetIslandStatus = nil
	TYXJ_Lottery_GetIslandTime = nil
	TYXJ_Lottery_GetAwardRate = nil
	TYXJ_Lottery_GetAwardItem = nil
	TYXJ_Lottery_GetAwardItemNum = nil
	TYXJ_Lottery_GetXianYuanLotteryDrawInfo = nil
	TYXJ_Lottery_GetXianYuanAwardItemInfo = nil
	TYXJ_Lottery_GetItemDisintegrateValue = nil
	TYXJ_Lottery_GetIsXianYuanLotteryType = nil
	TYXJ_Lottery_GetXianYuanShopItem = nil
	TYXJ_Lottery_GetXianYuanLotteryIndexByType = nil
	TYXJ_Lottery_GetXianYuanBtnEffect = nil
	TYXJ_Lottery_Unload = nil
end


-- 通过require传给其他Lua脚本使用
local TYXJ_Lottery = {
	GetFirstOpen = GetFirstOpen,
	GetIslandLotteryDate = GetIslandLotteryDate,
	GetLotteryShowData = GetLotteryShowData,
	GetIslandDateColor = GetIslandDateColor,
	GetEffectOffset = GetEffectOffset,
	GetPrevPageButtonEffect = GetPrevPageButtonEffect,
	GetEffectScale = GetEffectScale,
	GetEffectOffsetTen = GetEffectOffsetTen,
	GetEffectScaleTen = GetEffectScaleTen,
	GetItemIconTitle = GetItemIconTitle,
	GetIslandStatus = GetIslandStatus,
	GetIslandTime = GetIslandTime,
	GetAwardRate = GetAwardRate,
	GetAwardItem = GetAwardItem,
	GetAwardItemNum = GetAwardItemNum,
	GetAwardTenInfo = GetAwardTenInfo,
	GetXianYuanLotteryDrawInfo = GetXianYuanLotteryDrawInfo,
	GetXianYuanAwardItemInfo = GetXianYuanAwardItemInfo,
	GetItemDisintegrateValue = GetItemDisintegrateValue,
	GetIsXianYuanLotteryType = GetIsXianYuanLotteryType,
	GetXianYuanShopItem = GetXianYuanShopItem,
	GetXianYuanLotteryIndexByType = GetXianYuanLotteryIndexByType,
	GetXianYuanBtnEffect = GetXianYuanBtnEffect,
	Unload = Unload,
}

-- C++程序使用的global函数名
TYXJ_Lottery_GetFirstOpen = TYXJ_Lottery.GetFirstOpen
TYXJ_Lottery_GetIslandLotteryDate = TYXJ_Lottery.GetIslandLotteryDate
TYXJ_Lottery_GetLotteryShowData = TYXJ_Lottery.GetLotteryShowData
TYXJ_Lottery_GetIslandDateColor = TYXJ_Lottery.GetIslandDateColor
TYXJ_Lottery_GetEffectScale = TYXJ_Lottery.GetEffectScale
TYXJ_Lottery_GetEffectOffset = TYXJ_Lottery.GetEffectOffset
TYXJ_Lottery_GetEffectScaleTen = TYXJ_Lottery.GetEffectScaleTen
TYXJ_Lottery_GetEffectOffsetTen = TYXJ_Lottery.GetEffectOffsetTen
TYXJ_Lottery_GetPrevPageButtonEffect = TYXJ_Lottery.GetPrevPageButtonEffect
TYXJ_Lottery_GetItemIconTitle = TYXJ_Lottery.GetItemIconTitle
TYXJ_Lottery_GetIslandStatus = TYXJ_Lottery.GetIslandStatus
TYXJ_Lottery_GetIslandTime = TYXJ_Lottery.GetIslandTime
TYXJ_Lottery_GetAwardRate = TYXJ_Lottery.GetAwardRate
TYXJ_Lottery_GetAwardItem = TYXJ_Lottery.GetAwardItem
TYXJ_Lottery_GetAwardItemNum = TYXJ_Lottery.GetAwardItemNum
TYXJ_Lottery_GetAwardTenInfo = TYXJ_Lottery.GetAwardTenInfo
TYXJ_Lottery_GetXianYuanLotteryDrawInfo = TYXJ_Lottery.GetXianYuanLotteryDrawInfo
TYXJ_Lottery_GetXianYuanAwardItemInfo = TYXJ_Lottery.GetXianYuanAwardItemInfo
TYXJ_Lottery_GetItemDisintegrateValue = TYXJ_Lottery.GetItemDisintegrateValue
TYXJ_Lottery_GetIsXianYuanLotteryType = TYXJ_Lottery.GetIsXianYuanLotteryType
TYXJ_Lottery_GetXianYuanShopItem = TYXJ_Lottery.GetXianYuanShopItem
TYXJ_Lottery_GetXianYuanLotteryIndexByType = TYXJ_Lottery.GetXianYuanLotteryIndexByType
TYXJ_Lottery_GetXianYuanBtnEffect = TYXJ_Lottery.GetXianYuanBtnEffect
TYXJ_Lottery_Unload = TYXJ_Lottery.Unload

-- require返回值
return TYXJ_Lottery