local MULTI_GAME_FRUIT = 3 -- ˮϷ
local MULTI_GAME_DICE = 5 -- Ϸ
		
--
local MultiPlayerGame = {
	-- [GameType] = Ani
	[MULTI_GAME_FRUIT] = {
		["AniSection"] = "copmain_fruitbtn",
	},
	[MULTI_GAME_DICE] = {
		["AniSection"] = "toubao_rkbtn",
	},
}

--˳лϷ
local ChangeGame = {
	-- [GameIndex] = GameType
	Size = 2, -- Ϸ
    [0] = MULTI_GAME_FRUIT,   -- ˮϷ
    [1] = MULTI_GAME_DICE,    -- Ϸ
}

local function GetMultiPlayerGameAni(Type)
	if MultiPlayerGame[Type] == nil or MultiPlayerGame[Type]["AniSection"] == nil then
		return ""
	end
	
    return MultiPlayerGame[Type]["AniSection"]
end

-- Ϸ
local function GetGameSize()
	return ChangeGame.Size
end

local function GetHotGameIndex(HotIndex)
	if HotIndex == 1 then
		return 0 -- GameIndex
	elseif HotIndex == 2  then
		return 1 -- GameIndex
	end
	
	return -1
end

local function GetGameTypeByIndex(Index)
	if ChangeGame[Index] == nil then
		return -1
	end
	
	return ChangeGame[Index]
end

local function Unload()
    MultiPlayerGame = nil
	ChangeGame = nil
end

local MultiPlayerGame = {
	GetGameSize = GetGameSize,
    GetMultiPlayerGameAni = GetMultiPlayerGameAni,
	GetHotGameIndex = GetHotGameIndex,
	GetGameTypeByIndex = GetGameTypeByIndex,
    Unload = Unload,
}

-- global
MultiPlayerGame_GetGameSize = MultiPlayerGame.GetGameSize
MultiPlayerGame_GetMultiPlayerGameAni = MultiPlayerGame.GetMultiPlayerGameAni
MultiPlayerGame_GetHotGameIndex = MultiPlayerGame.GetHotGameIndex
MultiPlayerGame_GetGameTypeByIndex = MultiPlayerGame.GetGameTypeByIndex
MultiPlayerGame_Unload = MultiPlayerGame.Unload

return MultiPlayerGame
